
using UnityEngine;

namespace UTool.CustomizeTimeLogic.FxLogic.TimeLineEventinterface
{
    /// <summary>
    /// 受击点
    /// </summary>
    public interface ILifetCycleHitPoint : ITimeLineEventBasic
    {
        ILifeCycle IfLifeCycle { get; }
        Vector3 Position { get; }
        T This<T>();
        SpecialDotInfo GetSpecialDotInfo(string specialDotName);
    }
}